<?php

declare(strict_types=1);

namespace Drupal\carbon_impact_evaluator\Plugin\Block;

use Drupal\Core\Block\Attribute\Block;
use Drupal\Core\Block\BlockBase;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Provides a carbon impact evaluation block.
 */
#[Block(
  id: 'carbon_impact_evaluator_carbon_impact_evaluation_block',
  admin_label: new TranslatableMarkup('Carbon impact evaluation block'),
  category: new TranslatableMarkup('Custom'),
)]
final class CarbonImpactEvaluationBlockBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    return [
      '#theme' => 'carbon_impact_evaluator_block',
      '#attached' => [
        'library' => ['carbon_impact_evaluator/carbon_impact_evaluator'],
      ],
    ];
  }

}
